using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMExtConnConfigDetailMap : APTEntityBaseMap<T_FM_EXT_CONN_CONFIG_DETAIL>
	{
		public override void Configure(EntityTypeBuilder<T_FM_EXT_CONN_CONFIG_DETAIL> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.KEY).HasMaxLength(300);
			builder.Property(t => t.VALUE).HasMaxLength(600);
			builder.Property(t => t.REMARK).HasMaxLength(200);
			builder.HasOne(t => t.Nav_ExtConnConfig).WithMany(t => t.Nav_Details)
				.HasForeignKey(t => t.EXT_CONN_CONFIG_ID);
		} 
	}
}
